"use client";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useEffect } from "react";
import { EditorInterface } from "./EditorInterface";
import { Toolbar } from "./Toolbar";
import { MenuBar } from "./Menubar";
import { useEditorStore } from "../store/useEditorState";
import "../styles.css";
export function Editor({ initialContent, getTextContent, getJSONContent, getHTMLContent, onSave, onClose, }) {
    const { editor } = useEditorStore();
    useEffect(() => {
        if (editor && initialContent) {
            editor.commands.setContent(initialContent);
        }
    }, [editor, initialContent]);
    useEffect(() => {
        if (getTextContent) {
            getTextContent(editor?.getText() || "");
        }
        if (getJSONContent) {
            getJSONContent(editor?.getJSON() || {});
        }
        if (getHTMLContent) {
            getHTMLContent(editor?.getHTML() || "");
        }
    }, [editor?.getText(), editor?.getJSON(), editor?.getHTML(), getTextContent]);
    return (_jsxs("div", { className: "min-h-screen bg-[#FAFBFD]", children: [_jsxs("div", { className: "flex flex-col pt-2 gap-y-2 fixed top-0 left-0 right-0 z-10 bg-[#FAFBFD] print:hidden", children: [_jsx(MenuBar, { onSave: onSave, onClose: onClose }), _jsx(Toolbar, { onSave: onSave })] }), _jsx("div", { className: "pt-[80px] print:pt-0", children: _jsx(EditorInterface, {}) })] }));
}
Editor.defaultProps = {
    getHTMLContent: () => { },
    getJSONContent: () => { },
    getTextContent: () => { },
    onClose: () => { },
    onSave: () => { },
};
