import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { DropdownMenu, DropdownMenuContent, DropdownMenuTrigger, } from "./ui/dropdown-menu";
import { useEditorStore } from "../store/useEditorState";
import { LuChevronDown } from "react-icons/lu";
import { fonts } from "../lib/constants";
import { cn } from "../lib/utils";
export function FontFamily() {
    const { editor } = useEditorStore();
    return (_jsxs(DropdownMenu, { children: [_jsx(DropdownMenuTrigger, { asChild: true, children: _jsxs("button", { className: "h-7 w-[120px] shrink-0 flex items-center justify-between gap-2 rounded-sm hover:bg-neutral-200/80 px-1.5 overflow-hidden text-sm", children: [_jsx("span", { className: "truncate", children: editor?.getAttributes("textStyle").fontFamily || "Arial" }), _jsx(LuChevronDown, { size: 16 })] }) }), _jsx(DropdownMenuContent, { className: "p-1 flex flex-col gap-y-1", children: fonts.map(({ label, value }) => {
                    return (_jsx("button", { onClick: () => editor?.chain().focus().setFontFamily(value).run(), className: cn("flex items-center gap-x-2 px-2 py-1 rounded-sm hover:bg-neutral-200/80", editor?.getAttributes("textStyle").fontFamily === value &&
                            "bg-neutral-200/80"), style: { fontFamily: value }, children: label }, value));
                }) })] }));
}
