import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { DropdownMenu, DropdownMenuContent, DropdownMenuTrigger, } from "./ui/dropdown-menu";
import { useEditorStore } from "../store/useEditorState";
import { LuChevronDown } from "react-icons/lu";
import { headings } from "../lib/constants";
import { cn } from "../lib/utils";
export function Heading() {
    const { editor } = useEditorStore();
    function getCurrentHeading() {
        for (let level = 1; level <= 5; level++) {
            if (editor?.isActive("heading", { level })) {
                return `Heading ${level}`;
            }
        }
        return "Normal";
    }
    return (_jsxs(DropdownMenu, { children: [_jsx(DropdownMenuTrigger, { asChild: true, children: _jsxs("button", { className: "h-7 w-[100px] shrink-0 flex items-center justify-between gap-2 rounded-sm hover:bg-neutral-200/80 px-1.5 overflow-hidden text-sm", children: [_jsx("span", { className: "truncate", children: getCurrentHeading() }), _jsx(LuChevronDown, { size: 16 })] }) }), _jsx(DropdownMenuContent, { className: "p-1 flex flex-col gap-y-1", children: headings.map(({ label, value, fontSize }) => {
                    return (_jsx("button", { onClick: () => {
                            if (value === 0) {
                                editor?.chain().focus().setParagraph().run();
                            }
                            else {
                                editor
                                    ?.chain()
                                    .focus()
                                    .toggleHeading({ level: value })
                                    .run();
                            }
                        }, className: cn("flex items-center gap-x-2 px-2 py-1 rounded-sm hover:bg-neutral-200/80", (value === 0 && !editor?.isActive("heading")) ||
                            (editor?.isActive("heading", { level: value }) &&
                                "bg-neutral-200/80")), style: { fontSize }, children: label }, value));
                }) })] }));
}
