"use client";
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useState } from "react";
import { useEditorStore } from "../store/useEditorState";
import { DropdownMenu, DropdownMenuContent, DropdownMenuItem, DropdownMenuTrigger, } from "./ui/dropdown-menu";
import { Dialog, DialogContent, DialogFooter, DialogHeader, DialogTitle, } from "./ui/dialog";
import { LuFileInput, LuImage, LuUpload } from "react-icons/lu";
import { Input } from "./ui/input";
import { Button } from "./ui/button";
export function Image() {
    const { editor } = useEditorStore();
    const [imageURL, setImageURL] = useState("");
    const [isDialogOpen, setIsDialogOpen] = useState(false);
    function onChange(src) {
        editor?.chain().focus().setImage({ src }).run();
    }
    function onUpload() {
        const input = document.createElement("input");
        input.type = "file";
        input.accept = "image/*";
        input.onchange = (e) => {
            const file = e.target.files?.[0];
            if (file) {
                const imageUrl = URL.createObjectURL(file);
                onChange(imageUrl);
            }
        };
        input.click();
    }
    function handleImageURL() {
        if (imageURL) {
            onChange(imageURL);
            setImageURL("");
            setIsDialogOpen(false);
        }
    }
    return (_jsxs(_Fragment, { children: [_jsxs(DropdownMenu, { children: [_jsx(DropdownMenuTrigger, { asChild: true, children: _jsx("button", { title: "Add Image", className: "h-7 min-w-7 shrink-0 flex flex-col items-center justify-center gap-0 rounded-sm hover:bg-neutral-200/80 px-1.5 overflow-hidden text-sm", children: _jsx(LuImage, { size: 16 }) }) }), _jsxs(DropdownMenuContent, { children: [_jsxs(DropdownMenuItem, { onClick: onUpload, children: [_jsx(LuUpload, { size: 16 }), " Upload"] }), _jsxs(DropdownMenuItem, { onClick: () => setIsDialogOpen(true), children: [_jsx(LuFileInput, { size: 16 }), " Image URL"] })] })] }), _jsx(Dialog, { open: isDialogOpen, onOpenChange: setIsDialogOpen, children: _jsxs(DialogContent, { children: [_jsx(DialogHeader, { children: _jsx(DialogTitle, { children: "Image URL" }) }), _jsx(Input, { placeholder: "Insert url", value: imageURL, onChange: (e) => setImageURL(e.target.value), onKeyDown: (e) => {
                                if (e.key === "Enter") {
                                    handleImageURL();
                                }
                            } }), _jsx(DialogFooter, { children: _jsx(Button, { onClick: handleImageURL, children: "Insert" }) })] }) })] }));
}
