"use client";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { DropdownMenu, DropdownMenuContent, DropdownMenuTrigger, } from "./ui/dropdown-menu";
import { useEditorStore } from "../store/useEditorState";
import { LuList, LuListOrdered } from "react-icons/lu";
import { cn } from "../lib/utils";
export function List() {
    const { editor } = useEditorStore();
    const lists = [
        {
            label: "Bullet List",
            icon: LuList,
            isActive: () => editor?.isActive("bulletList"),
            onClick: () => editor?.chain().focus().toggleBulletList().run(),
        },
        {
            label: "Ordered List",
            icon: LuListOrdered,
            isActive: () => editor?.isActive("orderedList"),
            onClick: () => editor?.chain().focus().toggleOrderedList().run(),
        },
    ];
    return (_jsxs(DropdownMenu, { children: [_jsx(DropdownMenuTrigger, { asChild: true, children: _jsx("button", { title: "List", className: "h-7 min-w-7 shrink-0 flex flex-col items-center justify-center gap-0 rounded-sm hover:bg-neutral-200/80 px-1.5 overflow-hidden text-sm", children: _jsx(LuList, { size: 16 }) }) }), _jsx(DropdownMenuContent, { className: "p-1 flex flex-col gap-y-1", children: lists.map(({ label, icon: Icon, onClick, isActive }) => (_jsxs("button", { onClick: onClick, className: cn("flex items-center gap-x-2 px-2 py-1 rounded-sm hover:bg-neutral-200/80", isActive() && "bg-neutral-200/80"), children: [_jsx(Icon, { size: 16 }), _jsx("span", { className: "text-sm", children: label })] }, label))) })] }));
}
