import clsx from "clsx";
import { twMerge } from "tailwind-merge";
export function cn(...inputs) {
    return twMerge(clsx(inputs));
}
export function measureHeight(element) {
    if (!(element instanceof HTMLElement)) {
        return 0;
    }
    const computedStyle = window.getComputedStyle(element);
    return (element.offsetHeight +
        parseFloat(computedStyle.marginTop) +
        parseFloat(computedStyle.marginBottom));
}
export function onSave(editor, format = "html") {
    if (!editor)
        return;
    if (format === "html")
        return editor.getHTML();
    if (format === "json")
        return editor.getJSON();
    if (format === "text")
        return editor.getText();
}
